CppWidget Class Reference

A C++ binding for the C module GWEN_WIDGET. More...

`#include <cppwidget.hpp>`

## Public Member Functions

| CppWidget (GWEN_WIDGET *w)
GWEN_WIDGET * | getCInterface ()
int | getColumns ()
CppDialog * | getDialog ()
uint32_t | getFlags ()
int | getGroupId ()
int | getHeight ()
const char * | getIconFileName ()
const char * | getImageFileName ()
const char * | getName ()
int | getRows ()
const char * | getText (int idx)
GWEN_WIDGET_TYPE | getType ()
int | getWidth ()
virtual | ~CppWidget ()

## Static Public Member Functions

static CPPGUI_API CppWidget * | getWidget (GWEN_WIDGET *w)

## Protected Member Functions

virtual int | addChildGuiWidget (GWEN_WIDGET *wChild)
| CppWidget ()
virtual const char * | getCharProperty (GWEN_DIALOG_PROPERTY prop, int index, const char *defaultValue)
virtual int | getIntProperty (GWEN_DIALOG_PROPERTY prop, int index, int defaultValue)
virtual int | setCharProperty (GWEN_DIALOG_PROPERTY prop, int index, const char *value, int doSignal)
virtual int | setIntProperty (GWEN_DIALOG_PROPERTY prop, int index, int value, int doSignal)

## Protected Attributes

GWEN_WIDGET * | _widget

## Friends

class | CppWidgetLinker

## Detailed Description

A C++ binding for the C module GWEN_WIDGET.

This class simply is a C++ binding for the C module GWEN_WIDGET. It redirects C callbacks used by GWEN_WIDGET to virtual functions in this class.

Author
  Martin Preussmarti.nosp@m.n@aq.nosp@m.uaman.nosp@m.iac..nosp@m.de

Definition at line 32 of file cppwidget.hpp.

## Constructor & Destructor Documentation

## CppWidget() [1/2]

CppWidget | ( | GWEN_WIDGET * | w | ) |

Referenced by getWidget().

## ~CppWidget()

virtual ~CppWidget | ( |  | ) |

virtual

## CppWidget() [2/2]

CppWidget | ( |  | ) |

protected

## Member Function Documentation

## addChildGuiWidget()

virtual int addChildGuiWidget | ( | GWEN_WIDGET * | wChild | ) |

protected virtual

## getCharProperty()

virtual const char * getCharProperty | ( | GWEN_DIALOG_PROPERTY | prop,
|  | int | index,
|  | const char * | defaultValue )

protected virtual

## getCInterface()

GWEN_WIDGET * getCInterface | ( |  | ) |

## getColumns()

int getColumns | ( |  | ) |

## getDialog()

CppDialog * getDialog | ( |  | ) |

## getFlags()

uint32_t getFlags | ( |  | ) |

## getGroupId()

int getGroupId | ( |  | ) |

## getHeight()

int getHeight | ( |  | ) |

## getIconFileName()

const char * getIconFileName | ( |  | ) |

## getImageFileName()

const char * getImageFileName | ( |  | ) |

## getIntProperty()

virtual int getIntProperty | ( | GWEN_DIALOG_PROPERTY | prop,
|  | int | index,
|  | int | defaultValue )

protected virtual

## getName()

const char * getName | ( |  | ) |

## getRows()

int getRows | ( |  | ) |

## getText()

const char * getText | ( | int | idx | ) |

## getType()

GWEN_WIDGET_TYPE getType | ( |  | ) |

## getWidget()

CPPGUI_API CppWidget * getWidget | ( | GWEN_WIDGET * | w | ) |

static

References CppWidget().

## getWidth()

int getWidth | ( |  | ) |

## setCharProperty()

virtual int setCharProperty | ( | GWEN_DIALOG_PROPERTY | prop,
|  | int | index,
|  | const char * | value,
|  | int | doSignal )

protected virtual

## setIntProperty()

virtual int setIntProperty | ( | GWEN_DIALOG_PROPERTY | prop,
|  | int | index,
|  | int | value,
|  | int | doSignal )

protected virtual

## Friends And Related Symbol Documentation

## CppWidgetLinker

friend class CppWidgetLinker

friend

Definition at line 33 of file cppwidget.hpp.

References CppWidgetLinker.

Referenced by CppWidgetLinker.

## Field Documentation

## _widget

GWEN_WIDGET* _widget

protected

Definition at line 66 of file cppwidget.hpp.

The documentation for this class was generated from the following file:

- cppwidget.hpp